package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanGroupChatData
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:48:46
 * @Modify
 * @CopyRight 
 */
public class GroupChatDataVO implements Serializable {

    private static final long serialVersionUID = 21417308241400L;

    private String staffName;
    /**统计日期*/
    private java.util.Date date;
    /**新增客户群数量*/
    private Integer newChatCnt;
    /**截至当天客户群总数量*/
    private Integer chatTotal;
    /**截至当天有发过消息的客户群数量*/
    private Integer chatHasMsg;
    /**客户群新增群人数*/
    private Integer newMemberCnt;
    /**截至当天客户群总人数*/
    private Integer memberTotal;
    /**截至当天有发过消息的群成员数*/
    private Integer memberHasMsg;
    /**截至当天客户群消息总数*/
    private Integer msgTotal;
    private Integer quitUserCount ;

    public Integer getQuitUserCount() {
        return quitUserCount;
    }

    public void setQuitUserCount(Integer quitUserCount) {
        this.quitUserCount = quitUserCount;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public void setDate(java.util.Date date) {
        this.date = date;
    }

    public java.util.Date getDate() {
        return date;
    }

    public void setNewChatCnt(Integer newChatCnt) {
        this.newChatCnt = newChatCnt;
    }

    public Integer getNewChatCnt() {
        if (null == newChatCnt) {
            return 0;
        }
        return newChatCnt;
    }

    public void setChatTotal(Integer chatTotal) {
        this.chatTotal = chatTotal;
    }

    public Integer getChatTotal() {
        if (null == chatTotal) {
            return 0;
        }
        return chatTotal;
    }

    public void setChatHasMsg(Integer chatHasMsg) {
        this.chatHasMsg = chatHasMsg;
    }

    public Integer getChatHasMsg() {
        if (null == chatHasMsg) {
            return 0;
        }
        return chatHasMsg;
    }

    public void setNewMemberCnt(Integer newMemberCnt) {
        this.newMemberCnt = newMemberCnt;
    }

    public Integer getNewMemberCnt() {
        if (null == newMemberCnt) {
            return 0;
        }
        return newMemberCnt;
    }

    public void setMemberTotal(Integer memberTotal) {
        this.memberTotal = memberTotal;
    }

    public Integer getMemberTotal() {
        if (null == memberTotal) {
            return 0;
        }
        return memberTotal;
    }

    public void setMemberHasMsg(Integer memberHasMsg) {
        this.memberHasMsg = memberHasMsg;
    }

    public Integer getMemberHasMsg() {
        if (null == memberHasMsg) {
            return 0;
        }
        return memberHasMsg;
    }

    public void setMsgTotal(Integer msgTotal) {
        this.msgTotal = msgTotal;
    }

    public Integer getMsgTotal() {
        if (null == msgTotal) {
            return 0;
        }
        return msgTotal;
    }
}